:root {
  --color-light-blue: #009cde;
  --color-dark-grey: #2d2926;
  --color-medium-grey: #63666a;
  --color-light-grey: #c8c9c7;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: auto auto;
  
  max-width: 100%;
  
  justify-content: space-between;
  align-content: space-between;
  justify-items: center;
  align-items: center;
  
  font-family: Menlo, Consolas, monaco, monospace;
  font-weight: normal;
  font-size: 1rem;
  text-align: center;
  text-decoration: none;
  text-decoration-thickness: 0.15em;
  
  color: var(--color-dark-grey);
  background-color: transparent;
}

body {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: min-content auto min-content;
  height: 100vh;
  width: 100vw;
}

header, main, footer {
  padding: 1em;
  width: 100%;
  height: 100%;
}

header {
  padding-bottom: 0;
}

header img {
  max-height: 4em;
  max-width: 100%;
}

table {
  display: inline-block;
  border-collapse: collapse;
  word-wrap: break-word;
  overflow: auto;
  max-width: 100%;
}

th,
tr,
td {
  border: 1px solid black;
  padding: .5em;
}

footer {
  background-color: black;
}

footer * {
  color: var(--color-light-grey);
}

.text-wrap {
  display: flex;
  flex-wrap: wrap;
  column-gap: 1em;
}

.hover-glow {
  padding: 1em;
}

.hover-glow:hover {
  color: var(--color-light-blue);
  text-decoration: underline;
}

.hover-glow-parent {
  padding: 0;
}

.hover-glow-parent * {
  padding: 1em;
}

.hover-glow-parent *:hover {
  color: var(--color-light-blue);
  text-decoration: underline;
}

.two-column {
  display: grid;
  grid-template-columns: min-content max-content;
  justify-content: center;
  width: 100%;
}

.left * {
  width: max-content;
  text-align: left;
}

.right-left *:nth-child(odd) {
  width: 100%;
  text-align: right;
}

.right-left *:nth-child(even) {
  width: 100%;
  text-align: left;
}

.small-gap {
  gap: 1em;
}

.padded-parent * {
  padding: 1em;
}

.big-font-parent * {
  font-size: 1.25em;
}

tr:nth-child(odd) * {
  background-color: white;
}

tr:nth-child(even) * {
  background-color: var(--color-light-blue);
}